##
##  tailor.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tailor
Summary:      Version Control System (VCS) Changeset Migration Tool
URL:          http://progetti.arstecnica.it/tailor
Vendor:       Lele Gaifax
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      GPL
Version:      0.9.35
Release:      20210812

#   list of sources
Source0:      http://darcs.arstecnica.it/tailor-%{version}.tar.gz
Patch0:       tailor.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python2
PreReq:       OpenPKG, openpkg >= 20160101, python2

%description
    Tailor is a tool to migrate changesets between the Version Control
    Systems (VCS) ArX, Bazaar, Bazaar-NG, CVS, Codeville, Darcs, Git,
    Mercurial, Monotone, Subversion and TLA.

%track
    prog tailor = {
        version   = %{version}
        url       = http://darcs.arstecnica.it/
        regex     = tailor-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/tailor \
        $RPM_BUILD_ROOT%{l_prefix}/lib/tailor \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat7
    %{l_shtool} subst \
        -e 's;#!/usr/bin/env python;#!%{l_prefix}/bin/python2;g' \
        tailor
    %{l_prefix}/bin/python2 setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix} \
        --install-lib=%{l_prefix}/lib/tailor
    mv  $RPM_BUILD_ROOT%{l_prefix}/bin/tailor \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/tailor/tailor
    (   echo "#!/bin/sh"
        echo "PYTHONPATH=\"%{l_prefix}/lib/tailor\""
        echo "export PYTHONPATH"
        echo "%{l_prefix}/bin/python2 %{l_prefix}/libexec/tailor/tailor \${1+\"\$@\"}"
    ) >$RPM_BUILD_ROOT%{l_prefix}/bin/tailor
    chmod 755 $RPM_BUILD_ROOT%{l_prefix}/bin/tailor
    %{l_shtool} install -c -m 644 \
        tailor.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/tailor.1
    %{l_shtool} install -c -m 644 \
        README.rst $RPM_BUILD_ROOT%{l_prefix}/man/cat7/tailor.7
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

